## CtplToken

CtplToken — Language token

## Functions

void | ctpl_token_free ()
void | ctpl_token_expr_free ()

## Types and Values

| CtplToken
| CtplTokenExpr

## Includes

    #include <ctpl/ctpl.h>

## Description

Represents a CTPL language token.

Tokens are created by the lexers,

CtplLexer and CtplLexerExpr.

A CtplToken is freed with `ctpl_token_free()`, and a CtplTokenExpr is freed with `ctpl_token_expr_free()`.

## Functions

### ctpl_token_free ()

    void
    ctpl_token_free (CtplToken *token);

Frees all memory used by a CtplToken.

#### Parameters

token | A CtplToken to free |

### ctpl_token_expr_free ()

    void
    ctpl_token_expr_free (CtplTokenExpr *token);

Frees all memory used by a CtplTokenExpr.

#### Parameters

token | A CtplTokenExpr to free |

## Types and Values

### CtplToken

    typedef struct _CtplToken CtplToken;

The CtplToken opaque structure.

### CtplTokenExpr

    typedef struct _CtplTokenExpr CtplTokenExpr;

Represents an expression token.